Summary: German man pages from the Linux Documentation Project
Name: man-pages-de
Version: 0.5
Release: 4%{?dist}
License: GPL+
Group: Documentation
URL: http://www.infodrom.org/projects/manpages-de/
Source: http://www.infodrom.org/projects/manpages-de/download/manpages-de-%{version}.tar.gz
Patch0: man-pages-de-0.3-nolocalfile.patch
Patch1: man-pages-de-0.4-ps_space.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

%description
Manual pages from the Linux Documentation Project, translated into
German.

%prep

%setup -q -n manpages-de-%{version}
%patch0 -p1
%patch1 -p1

%build
rm -f man1/hostname.*

# part of shadow-utils
rm -f man1/newgrp.*

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/de
for n in 1 2 3 4 5 6 7 8 9 n; do
	mkdir $RPM_BUILD_ROOT/%{_mandir}/de/man$n
done
for i in man*/* COPYRIGHT README; do
	iconv -f ISO-8859-1 -t UTF-8 < $i > $i.new
	mv -f $i.new $i
done
LC_ALL=de_DE make prefix=$RPM_BUILD_ROOT/usr \
	MANDIR=$RPM_BUILD_ROOT/%{_mandir}/de install

rm -f $RPM_BUILD_ROOT%{_mandir}/de/man1/{apropos.1,man.1,whatis.1}*
rm -f $RPM_BUILD_ROOT%{_mandir}/de/man5/man.config.5*

# some files conflict with man-db, so delete them here for now
# see bug #583731
rm $RPM_BUILD_ROOT%{_mandir}/de/man1/{manpath.1,zsoelim.1}*
rm $RPM_BUILD_ROOT%{_mandir}/de/man5/manpath.5*
rm $RPM_BUILD_ROOT%{_mandir}/de/man8/{catman.8,mandb.8}*

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES COPYRIGHT README
%dir %{_mandir}/de
%{_mandir}/de/*


%changelog
* Thu Aug  5 2010 Thomas Spura <tomspur@fedoraproject.org> - 0.5-4
- delete man pages conflicting with man-db (#583731)
- convert COPYRIGHT README to utf8

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar 07 2007 Marcela Maslanova <mmaslano@redhat.com> 0.5-2
- 451337 fix license and vendor

* Wed Mar 07 2007 Marcela Maslanova <mmaslano@redhat.com> 0.5-1
- merge review, update on new version
- rhbz#226123

* Mon Jul 26 2006 Ivana Varekova <varekova@redhat.com> 0.4-11
- fix bug 196453 - remove newgrp.1 man page

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Aug  5 2005 Ivana Varekova <varekova@redhat.com> 0.4-10
- fix bug 141160 - ps 5 man page problem
- fix bug 156262 - nfs 5 man page typos

* Wed Sep 29 2004 Leon Ho <llch@edhat.com>
- rebulit
              
* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 10 2004 Akira TAGOH <tagoh@redhat.com> 0.4-7
- removed apropos.1, man.1, whatis.1, and man.config.5, because the latest man contains those manpages.

* Tue Feb 11 2003 Phil Knirsch <pknirsch@redhat.com> 0.4-6
- Convert all manpages to utf-8.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 0.4-5
- rebuilt

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 0.4-4
- rebuild

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Mar 13 2002 Trond Eivind Glomsrřd <teg@redhat.com> 0.4-1
- 0.4

* Tue Aug 14 2001 Tim Powers <timp@redhat.com>
- rebuilt to hopefully fix rpm verify problem

* Mon Aug 13 2001 Trond Eivind Glomsrřd <teg@redhat.com>
- Rebuild (should fix #51677)

* Thu Aug  2 2001 Trond Eivind Glomsrřd <teg@redhat.com>
- Own /usr/share/man/de

* Thu May 31 2001 Trond Eivind Glomsrřd <teg@redhat.com>
- 0.3
- Added URL, changed location
- Remove --local-file option from the German man(1) (#39211)

* Sun Apr  8 2001 Trond Eivind Glomsrřd <teg@redhat.com>
- Remove hostname.1, it's now part of net-tools

* Tue Apr  3 2001 Trond Eivind Glomsrřd <teg@redhat.com>
- Some fixes to the roff sources (#34183)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 20 2000 Jeff Johnson <jbj@redhat.com>
- rebuild to compress man pages.

* Mon Jun 19 2000 Matt Wilson <msw@redhat.com>
- defattr root

* Sun Jun 11 2000 Trond Eivind Glomsrřd <teg@redhat.com>
- use %%{_mandir} and %%{_tmppath} 

* Mon May 15 2000 Trond Eivind Glomsrřd <teg@redhat.com>
- first build
